<Project Sdk="Microsoft.NET.Sdk">

	<PropertyGroup>
		<OutputType>Library</OutputType>
		<TargetFramework>net8.0-windows</TargetFramework>
		<Nullable>enable</Nullable>
		<UseWindowsForms>true</UseWindowsForms>
		<ImplicitUsings>enable</ImplicitUsings>
	</PropertyGroup>
	<ItemGroup>
		<Reference Include="CloudBuilder.Core">
			<HintPath>..\CloudBuilder.Core\bin\Debug\net8.0\CloudBuilder.Core.dll</HintPath>
		</Reference>
		<Reference Include="CloudBuilder.Request">
		  <HintPath>..\CloudBuilder.Request\bin\Debug\net8.0\CloudBuilder.Request.dll</HintPath>
		</Reference>
		<Reference Include="CloudBuilder.Security">
		  <HintPath>..\CloudBuilder.Security\bin\Debug\net8.0\CloudBuilder.Security.dll</HintPath>
		</Reference>
	</ItemGroup>
	<ItemGroup>
		<PackageReference Include="Krypton.Docking" Version="85.24.10.288" />
		<PackageReference Include="Krypton.Navigator" Version="85.24.10.288" />
		<PackageReference Include="Krypton.Ribbon" Version="85.24.10.288" />
		<PackageReference Include="Krypton.Toolkit" Version="85.24.10.288" />
		<PackageReference Include="Krypton.Workspace" Version="85.24.10.288" />
		<PackageReference Include="Microsoft.AspNetCore.Authentication.JwtBearer" Version="8.0.0" />
		<PackageReference Include="Microsoft.AspNetCore.Authorization" Version="8.0.0" />
		<PackageReference Include="Microsoft.AspNetCore.SpaServices.Extensions" Version="8.0.0" />
		<PackageReference Include="Microsoft.AspNetCore.Mvc.NewtonsoftJson" Version="8.0.0" />
		<PackageReference Include="Microsoft.EntityFrameworkCore" Version="8.0.0" />
		<PackageReference Include="Microsoft.EntityFrameworkCore.SqlServer" Version="8.0.0" />
		<PackageReference Include="Microsoft.Extensions.Configuration" Version="8.0.0" />
		<PackageReference Include="Microsoft.Extensions.Configuration.Binder" Version="8.0.0" />
		<PackageReference Include="Microsoft.Extensions.Configuration.Json" Version="8.0.0" />
		<PackageReference Include="Microsoft.Extensions.DependencyInjection" Version="8.0.0" />
		<PackageReference Include="Microsoft.Extensions.DependencyInjection.Abstractions" Version="8.0.0" />
		<PackageReference Include="Microsoft.Extensions.DependencyModel" Version="8.0.0" />
		<PackageReference Include="Microsoft.Extensions.Http" Version="8.0.0" />
		<PackageReference Include="ClosedXML" Version="0.102.1" />
		<PackageReference Include="System.Drawing.Common" Version="8.0.0" />
	</ItemGroup>
	<ItemGroup>
	  <Compile Update="Properties\Resources.Designer.cs">
	    <DesignTime>True</DesignTime>
	    <AutoGen>True</AutoGen>
	    <DependentUpon>Resources.resx</DependentUpon>
	  </Compile>
	</ItemGroup>
	<ItemGroup>
	  <EmbeddedResource Update="Properties\Resources.resx">
	    <Generator>ResXFileCodeGenerator</Generator>
	    <LastGenOutput>Resources.Designer.cs</LastGenOutput>
	  </EmbeddedResource>
	</ItemGroup>
	<ItemGroup>
	  <Folder Include="Extensions\" />
	</ItemGroup>

</Project>
